- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# VariableSolution Class Reference

The VariableSolution Class. More...

`#include <OSResult.h>`

Collaboration diagram for VariableSolution:

[legend]
List of all members.

## Public Member Functions
| VariableSolution ()
| Default constructor.
| ~VariableSolution ()
| Class destructor.
bool | IsEqual (VariableSolution *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
| VariableSolution ()
| Default constructor.
| ~VariableSolution ()
| Class destructor.
## Public Attributes
int | numberOfOtherVariableResults
| the number of types of variable results other than the value of the variable
VariableValues * | values
| a pointer to a VariableValues object
VariableValuesString * | valuesString
| a pointer to a VariableValuesString object
BasisStatus * | basisStatus
| a pointer to a BasisStatus object
OtherVariableResult ** | other
| a pointer to an array of other pointer objects for variables
VariableValues * | values
| a pointer to an array of VariableValues objects
VariableStringValues * | valuesString
| a pointer to an array of VariableStringValues objects
OtherVariableResult ** | other
| a pointer to an array of other pointer objects for variables

## Detailed Description

The VariableSolution Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class for reporting all of the types of solution values associated with variables.

Definition at line 1172 of file OSResult.h.

## Constructor & Destructor Documentation

VariableSolution::VariableSolution | ( |  | ) |

Default constructor.

Definition at line 533 of file OSResult.cpp.

VariableSolution::~VariableSolution | ( |  | ) |

Class destructor.

Definition at line 546 of file OSResult.cpp.

References basisStatus, numberOfOtherVariableResults, other, values, and valuesString.

VariableSolution::VariableSolution | ( |  | ) |

Default constructor.

VariableSolution::~VariableSolution | ( |  | ) |

Class destructor.

## Member Function Documentation

bool VariableSolution::IsEqual | ( | VariableSolution * | that | ) |

A function to check for the equality of two objects.

Definition at line 6131 of file OSResult.cpp.

bool VariableSolution::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 7766 of file OSResult.cpp.

References OSRand(), other, and OtherVariableResult::setRandom().

## Member Data Documentation

int VariableSolution::numberOfOtherVariableResults

the number of types of variable results other than the value of the variable

Definition at line 1178 of file OSResult.h.

Referenced by OSResult::getNumberOfOtherVariableResults(), OSResult::getOtherVariableResultEnumerationDescription(), OSResult::getOtherVariableResultEnumerationEl(), OSResult::getOtherVariableResultEnumerationNumberOfEl(), OSResult::getOtherVariableResultEnumerationValue(), OSResult::setOtherOptionEnumeration(), OSrL2Gams::writeSolution(), and ~VariableSolution().

VariableValues* VariableSolution::values

a pointer to a VariableValues object

Definition at line 1181 of file OSResult.h.

Referenced by OSResult::setPrimalVariableValues(), OSrL2Gams::writeSolution(), and ~VariableSolution().

VariableValuesString* VariableSolution::valuesString

a pointer to a VariableValuesString object

Definition at line 1184 of file OSResult.h.

Referenced by ~VariableSolution().

BasisStatus* VariableSolution::basisStatus

a pointer to a BasisStatus object

Definition at line 1187 of file OSResult.h.

Referenced by OSResult::getBasisStatusEl(), OSResult::getBasisStatusNumberOfEl(), OSResult::setBasisStatus(), tempPrintArrays(), and ~VariableSolution().

OtherVariableResult** VariableSolution::other

a pointer to an array of other pointer objects for variables

Definition at line 1192 of file OSResult.h.

Referenced by OSResult::getNumberOfOtherVariableResults(), OSResult::getOtherVariableResultEnumerationDescription(), OSResult::getOtherVariableResultEnumerationEl(), OSResult::getOtherVariableResultEnumerationNumberOfEl(), OSResult::getOtherVariableResultEnumerationValue(), main(), OSResult::setOtherOptionEnumeration(), setRandom(), tempPrintArrays(), OSrL2Gams::writeSolution(), and ~VariableSolution().

VariableValues* VariableSolution::values

a pointer to an array of VariableValues objects

Definition at line 668 of file OSResult.h.

VariableStringValues* VariableSolution::valuesString

a pointer to an array of VariableStringValues objects

Definition at line 671 of file OSResult.h.

OtherVariableResult** VariableSolution::other

a pointer to an array of other pointer objects for variables

Definition at line 677 of file OSResult.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.cpp